Announcement

Collapse
No announcement yet.

Qt 5.2 Is Now Out In Beta Form

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Qt 5.2 Is Now Out In Beta Form

    Phoronix: Qt 5.2 Is Now Out In Beta Form

    Qt 5.2 has been in alpha since the end of September but now Digia has announced the beta release of the Qt 5.2 tool-kit...

    http://www.phoronix.com/vr.php?view=MTQ5Mjk

  • #2
    *grabs popcorn for the usual trolls*

    Anyway, do you think it would be possible to make a comparison between the different javascript engines ? (Firefox's, Google's, and now Qt's...)

    Comment


    • #3
      The Qt JS engine will probably lose, but that is because it is designed to optimize the QML stuff. Javascript is only a small part of most of the .qml files.

      Comment


      • #4
        I just want a QtCreator compiled against Qt5 so that QtQuick2 projects are supported -LITERALLY- the only thing I care about with the 3.0 update >_>

        Comment


        • #5
          Originally posted by Ericg View Post
          I just want a QtCreator compiled against Qt5 so that QtQuick2 projects are supported -LITERALLY- the only thing I care about with the 3.0 update >_>
          QtCreator (2.8.1) package provided by ArchLinux is compiled against Qt5 (5.1.1).

          Comment


          • #6
            Originally posted by siavashserver View Post
            QtCreator (2.8.1) package provided by ArchLinux is compiled against Qt5 (5.1.1).
            Might be optional then, because at least Fedora (2.8.0) doesn't allow the creation of QtQuick2 projects, which requires Qt5+. Qt5 is installable but apparently QtCreator wasn't linked AGAINST Qt5 since there's no QtQuick2 support

            EDIT: Check out the comments in: https://bugreports.qt-project.org/br...REATORBUG-7858
            Last edited by Ericg; 10-23-2013, 10:55 PM.

            Comment


            • #7
              I'm not aware of packaging details. May be you are facing a similar issue like this: http://askubuntu.com/questions/25971...project-dialog

              I mostly use QtCreator with plain C/C++ projects, but here is a few screenshots to show that it's already possible to create and work on QtQuick 2 based projects too. (That's a custom theme and wasn't tuned for QML syntax highlighting, sorry if that hurts eyes)




              Comment


              • #8
                No qtwayland for Qt 5.2 ?!?

                Comment


                • #9
                  Originally posted by Nuc!eoN View Post
                  No qtwayland for Qt 5.2 ?!?
                  QtWayland landed in 5.0 o.O

                  Comment


                  • #10
                    Originally posted by siavashserver View Post
                    I'm not aware of packaging details. May be you are facing a similar issue like this: http://askubuntu.com/questions/25971...project-dialog

                    I mostly use QtCreator with plain C/C++ projects, but here is a few screenshots to show that it's already possible to create and work on QtQuick 2 based projects too. (That's a custom theme and wasn't tuned for QML syntax highlighting, sorry if that hurts eyes)
                    Thanks for the like Siavash, that fixed it for me. I'll have to remember that for next time haha

                    Comment

                    Working...
                    X